## r-cran-getopt 1.15

=== DESCRIPTION ===
Package: getopt
Type: Package
Title: C-like getopt behavior.
Version: 1.15
Date: 2010-04-28
Author: Allen Day <allenday@ucla.edu>
Maintainer: Allen Day <allenday@ucla.edu>
Description: Use this with Rscript to write ``#!'' shebang scripts that
        accept short and long flags/options.
License: GPL (>= 2)
Packaged: 2010-04-28 08:46:22 UTC; root
Repository: CRAN
Date/Publication: 2010-04-28 09:19:33

## r-cran-getopt 1.16

=== DESCRIPTION ===
Package: getopt
Type: Package
Title: C-like getopt behavior.
Version: 1.16
Date: 2010-04-28
Author: Allen Day <allenday@ucla.edu>
Maintainer: Trevor Davis <trevor.l.davis@stanford.edu>
Description: Use this with Rscript to write ``#!'' shebang scripts that
        accept short and long flags/options.
License: GPL (>= 2)
Suggests: testthat
Repository: CRAN
Repository/R-Forge/Project: optparse
Repository/R-Forge/Revision: 79
Date/Publication: 2011-05-02 09:39:37
Packaged: 2011-05-01 20:52:56 UTC; rforge

## r-cran-getopt 1.17

=== DESCRIPTION ===
Package: getopt
Type: Package
Title: C-like getopt behavior.
Version: 1.17
Date: 2011-09-14
Author: Allen Day <allenday@ucla.edu>
Maintainer: Trevor Davis <trevor.l.davis@stanford.edu>
Description: Use this with Rscript to write ``#!'' shebang scripts that
        accept short and long flags/options.
License: GPL (>= 2)
Suggests: testthat
Repository: CRAN
Repository/R-Forge/Project: optparse
Repository/R-Forge/Revision: 86
Date/Publication: 2011-09-26 07:15:29
Packaged: 2011-09-15 21:04:45 UTC; rforge

## r-cran-getopt 1.19.1

=== DESCRIPTION ===
Package: getopt
Type: Package
Title: C-like getopt behavior.
Version: 1.19.1
Author: Allen Day Contributions from Trevor L Davis
Maintainer: Trevor L Davis <trevor.l.davis@stanford.edu>
Description: Package designed to be used with Rscript to write ``#!''
        shebang scripts that accept short and long flags/options.  Many
        users will prefer using instead the package optparse which adds
        extra features (automatically generated help option and usage,
        support for default values, basic positional argument support).
License: GPL (>= 2)
Suggests: testthat
Collate: 'getopt.R'
Repository: CRAN
Repository/R-Forge/Project: optparse
Repository/R-Forge/Revision: 116
Repository/R-Forge/DateTimeStamp: 2013-03-01 22:49:51
Date/Publication: 2013-03-04 07:40:03
Packaged: 2013-03-01 23:15:17 UTC; rforge
NeedsCompilation: no

## r-cran-getopt 1.20.0

=== DESCRIPTION ===
Package: getopt
Type: Package
Title: C-like getopt behavior.
Version: 1.20.0
Author: Allen Day.
    Contributions from Trevor L Davis.
Maintainer: Trevor L Davis <trevor.l.davis@stanford.edu>
URL: https://github.com/trevorld/getopt
BugReports: https://github.com/trevorld/getopt/issues
Description: Package designed to be used with Rscript to write
    ``#!'' shebang scripts that accept short and long flags/options.
    Many users will prefer using instead the packages optparse or argparse
    which add extra features like automatically generated help option and usage,
    support for default values, positional argument support, etc.
License: GPL (>= 2)
Suggests: testthat
Collate: 'getopt.R' 'utils.R'
Packaged: 2013-08-30 07:02:26 UTC; trevorld
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-08-30 10:36:29

## r-cran-getopt 1.20.2

=== DESCRIPTION ===
Package: getopt
Type: Package
Title: C-Like 'getopt' Behavior
Version: 1.20.2
Author: Allen Day.
    Contributions from Trevor L Davis and Roman Zenka.
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
URL: https://github.com/trevorld/getopt
Imports: stats
BugReports: https://github.com/trevorld/getopt/issues
Description: Package designed to be used with Rscript to write
    ``#!'' shebang scripts that accept short and long flags/options.
    Many users will prefer using instead the packages optparse or argparse
    which add extra features like automatically generated help option and usage,
    support for default values, positional argument support, etc.
License: GPL (>= 2)
Suggests: testthat
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-02-16 04:46:12 UTC; trevorld
Repository: CRAN
Date/Publication: 2018-02-16 11:18:58 UTC

## r-cran-getopt 1.20.3

=== DESCRIPTION ===
Package: getopt
Type: Package
Title: C-Like 'getopt' Behavior
Version: 1.20.3
Authors@R: c(person("Trevor L", "Davis", role=c("aut", "cre"), email="trevor.l.davis@gmail.com"),
    person("Allen", "Day", role="aut", comment="Original package author"),
    person("Roman", "Zenka", role="ctb"))
URL: https://github.com/trevorld/r-getopt
Imports: stats
BugReports: https://github.com/trevorld/r-getopt/issues
Description: Package designed to be used with Rscript to write
    ``#!'' shebang scripts that accept short and long flags/options.
    Many users will prefer using instead the packages optparse or argparse
    which add extra features like automatically generated help option and usage,
    support for default values, positional argument support, etc.
License: GPL (>= 2)
Suggests: covr, testthat
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-03-22 19:27:49 UTC; trevorld
Author: Trevor L Davis [aut, cre],
  Allen Day [aut] (Original package author),
  Roman Zenka [ctb]
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2019-03-22 20:10:03 UTC

=== debian/changelog ===
r-cran-getopt (1.20.3-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 May 2020 21:31:40 -0500

r-cran-getopt (1.20.3-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Aug 2019 07:31:56 -0500

r-cran-getopt (1.20.3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

  * debian/control: Correct to Architecture: all

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Mar 2019 13:13:52 -0500

r-cran-getopt (1.20.2-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 

  * exec/example.R: Corrected Rscript path

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Feb 2018 15:55:40 -0600

r-cran-getopt (1.20.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add ${misc:Depends} to Depends
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 03 Dec 2017 18:59:27 -0600

r-cran-getopt (1.20.0-2) unstable; urgency=medium

  * debian/compat: Created 			(Closes: #829228)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Jul 2016 19:27:59 -0500

r-cran-getopt (1.20.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Aug 2013 07:26:29 -0500

r-cran-getopt (1.19.1-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 17:50:57 -0500

r-cran-getopt (1.19.1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Mar 2013 05:59:35 -0600

r-cran-getopt (1.19.0-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Nov 2012 14:19:59 -0600

r-cran-getopt (1.17-1) unstable; urgency=low

  * New upstream release
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Sep 2011 07:12:29 -0500

r-cran-getopt (1.16-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 May 2011 20:52:55 -0500

r-cran-getopt (1.15-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Apr 2010 06:02:11 -0500

r-cran-getopt (1.14-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
  * debian/control: Changed Section: to section 'gnu-r'

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Nov 2009 16:00:18 -0600

r-cran-getopt (1.14-1) unstable; urgency=low

  * New upstream release and initial Debian upload		(Closes: #478689)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 30 Apr 2008 07:05:30 -0500

r-cran-getopt (1.12-1) unstable; urgency=low

  * Initial (local) Debian packaging
  
  * R/getopt.R: Added improved littler compatibility expected to be in the next 
    release of getopt (with thanks to Kurt Hornik for the initial version)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Apr 2008 16:08:30 -0500

=== debian/control ===
Source: r-cran-getopt
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-getopt
Vcs-Git: https://salsa.debian.org/edd/r-cran-getopt.git
Homepage: https://cran.r-project.org/package=getopt

Package: r-cran-getopt
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}
Description: GNU R package providing command-line parsing functionality
 This package provides the getopt function which can be used with R's
 Rscript (or littler's r) to write ``#!'' shebang scripts that accept 
 short and long flags/options.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-getopt package
# Copyright 2004-2019 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/getopt_([-\d\.]*)\.tar.gz

## r-cran-getopt 1.20.4

=== DESCRIPTION ===
Encoding: UTF-8
Package: getopt
Type: Package
Title: C-Like 'getopt' Behavior
Version: 1.20.4
Authors@R: c(person("Trevor L", "Davis", role=c("aut", "cre"),
             email="trevor.l.davis@gmail.com",
             comment = c(ORCID = "0000-0001-6341-4639")),
    person("Allen", "Day", role="aut", comment="Original package author"),
    person("Roman", "Zenka", role="ctb"))
URL: https://github.com/trevorld/r-getopt
Imports: stats
BugReports: https://github.com/trevorld/r-getopt/issues
Description: Package designed to be used with Rscript to write
    '#!' shebang scripts that accept short and long flags/options.
    Many users will prefer using instead the packages optparse or argparse
    which add extra features like automatically generated help option and usage,
    support for default values, positional argument support, etc.
License: GPL (>= 2)
Suggests: testthat
RoxygenNote: 7.2.3
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2023-10-01 05:01:35 UTC; trevorld
Author: Trevor L Davis [aut, cre] (<https://orcid.org/0000-0001-6341-4639>),
  Allen Day [aut] (Original package author),
  Roman Zenka [ctb]
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2023-10-01 06:30:01 UTC

=== debian/changelog ===
r-cran-getopt (1.20.4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)
  * debian/compat: Removed
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 Oct 2023 16:57:32 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-getopt
 Vcs-Git: https://salsa.debian.org/edd/r-cran-getopt.git
 Homepage: https://cran.r-project.org/package=getopt
